Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026505
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2014-05-09 14:032014-10-01 16:36
ReporterguillermogilView Statuspublic 
Assigned Toguillermogil 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revisionb96c7d42fc3e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-01-07
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/46ec5ec2839da79ae27a5225c105c85ecde1cf6a [^]
Triggers an Emergency PackNo
Summary

0026505: Reference AD_Language does not show any results on its drop-down while filtering

DescriptionReference AD_Language does not show any results on its drop-down while filtering
Steps To Reproduce* Go to Country and Region window
* Enter any value on Language filter

Its drop-down does not show any data
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00251823.0PR14Q2 closedalostale Query in org drop down in the list field is having bad performance 

-  Notes
(0067087)
guillermogil (developer)
2014-05-12 12:12

Problem is in nullable properties that are part of the identifier of a FK.

In this case the query is

select 1 from Country as e where e.language = me and e.organization.id in ('E443A31992CB4635AFCAEABE7183CE85', '546A28CFAA824199866BDB1D078CA386', '0', 'DC206C91AA6A4897B44DA897936E0EC3', '7BABA5FF80494CAFA54DEBD22EC46F01', 'BAE22373FEBE4CCCA24517E23F0C8A48', '19404EAD144C49A0AF37D54377CF452D', 'B843C30461EA4501935CB1D125C9C25A', '2E60544D37534C0B89E765FE29BC0B43') and e.client.id in ('23C59575B9CF467C9620760EB255B389', '0')

Left join should be used instead:

select 1 from Country as e left join e.language as es where es = me and e.organization.id in ('E443A31992CB4635AFCAEABE7183CE85', '546A28CFAA824199866BDB1D078CA386', '0', 'DC206C91AA6A4897B44DA897936E0EC3', '7BABA5FF80494CAFA54DEBD22EC46F01', 'BAE22373FEBE4CCCA24517E23F0C8A48', '19404EAD144C49A0AF37D54377CF452D', 'B843C30461EA4501935CB1D125C9C25A', '2E60544D37534C0B89E765FE29BC0B43') and e.client.id in ('23C59575B9CF467C9620760EB255B389', '0')
(0067089)
hgbot (developer)
2014-05-12 13:37

Repository: erp/devel/pi
Changeset: b96c7d42fc3eae61d6267d76873b42c288df4c2c
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon May 12 13:37:00 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b96c7d42fc3eae61d6267d76873b42c288df4c2c [^]

Fixed issue 26505:Reference AD_Language does not show any results

Use left join instead an inner join if the property allows null values.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0067101)
hgbot (developer)
2014-05-12 18:30

Repository: erp/devel/pi
Changeset: 592598efcef07d0a647848828a4d85afb4b32dec
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon May 12 18:29:49 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/592598efcef07d0a647848828a4d85afb4b32dec [^]

Related to issue 26505:AD_Language does not show any results

If the path contains a field separator use the previous query

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0067160)
hudsonbot (developer)
2014-05-15 17:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8d6658b982c0 [^]
Maturity status: Test
(0067162)
hudsonbot (developer)
2014-05-15 17:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8d6658b982c0 [^]
Maturity status: Test
(0067204)
alostale (developer)
2014-05-16 10:02

Code reviewed

Verifications:

-Languages appear in the drop down list for filtering and query is correctly created (left join)
-Other drop down lists for filtering are not affected (query is the same) in case the properties part of the identifier are mandatory
-Queries for the standard datasource continue being the same as before the fix

- Issue History
Date Modified Username Field Change
2014-05-09 14:03 guillermogil New Issue
2014-05-09 14:03 guillermogil Assigned To => guillermogil
2014-05-09 14:03 guillermogil Web browser => Google Chrome
2014-05-09 14:03 guillermogil Modules => Core
2014-05-09 14:03 guillermogil Triggers an Emergency Pack => No
2014-05-09 14:17 guillermogil Web browser Google Chrome => Google Chrome
2014-05-09 14:17 guillermogil Regression level => Production - QA Approved
2014-05-09 14:17 guillermogil Summary Language filter dropdown on Country window does not show any results => Reference AD_Language does not show any results on it's drop-down while filtering
2014-05-09 14:17 guillermogil Description Updated View Revisions
2014-05-09 14:38 guillermogil Web browser Google Chrome => Google Chrome
2014-05-09 14:38 guillermogil Summary Reference AD_Language does not show any results on it's drop-down while filtering => Reference AD_Language does not show any results on its drop-down while filtering
2014-05-09 14:38 guillermogil Description Updated View Revisions
2014-05-09 14:38 guillermogil Steps to Reproduce Updated View Revisions
2014-05-12 08:21 alostale Web browser Google Chrome => Google Chrome
2014-05-12 08:21 alostale Severity critical => major
2014-05-12 12:12 guillermogil Note Added: 0067087
2014-05-12 12:38 guillermogil Web browser Google Chrome => Google Chrome
2014-05-12 12:38 guillermogil Regression date => 2014-01-07
2014-05-12 12:38 guillermogil Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/46ec5ec2839da79ae27a5225c105c85ecde1cf6a [^]
2014-05-12 12:38 guillermogil Relationship added related to 0025182
2014-05-12 13:36 guillermogil Issue Monitored: alostale
2014-05-12 13:36 guillermogil Review Assigned To => alostale
2014-05-12 13:36 guillermogil Web browser Google Chrome => Google Chrome
2014-05-12 13:37 hgbot Checkin
2014-05-12 13:37 hgbot Note Added: 0067089
2014-05-12 13:37 hgbot Status new => resolved
2014-05-12 13:37 hgbot Resolution open => fixed
2014-05-12 13:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b96c7d42fc3eae61d6267d76873b42c288df4c2c [^]
2014-05-12 14:03 guillermogil Status resolved => new
2014-05-12 14:03 guillermogil Resolution fixed => open
2014-05-12 14:03 guillermogil Web browser Google Chrome => Google Chrome
2014-05-12 14:03 guillermogil Severity major => minor
2014-05-12 14:03 guillermogil Status new => scheduled
2014-05-12 14:03 guillermogil Status scheduled => resolved
2014-05-12 14:03 guillermogil Resolution open => fixed
2014-05-12 18:30 hgbot Checkin
2014-05-12 18:30 hgbot Note Added: 0067101
2014-05-15 17:34 hudsonbot Checkin
2014-05-15 17:34 hudsonbot Note Added: 0067160
2014-05-15 17:34 hudsonbot Checkin
2014-05-15 17:34 hudsonbot Note Added: 0067162
2014-05-16 10:02 alostale Note Added: 0067204
2014-05-16 10:02 alostale Status resolved => closed
2014-05-16 10:02 alostale Fixed in Version => PR14Q3
2014-10-01 16:36 plujan Web browser Google Chrome => Google Chrome
2014-10-01 16:36 plujan Regression introduced in release => 3.0PR14Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker